Package com.smartgwt.client.bean.types

# Class IntegerValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.NumberValueType<Integer>
com.smartgwt.client.bean.types.IntegerValueType

Direct Known Subclasses:
  `PIntegerValueType`

public class IntegerValueType extends NumberValueType<Integer>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegerValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `Integer`
  `convertFrom(Object value)`
  `protected Class`
  `getValueType()`
  `protected boolean`
  `isAssignableFrom(Object value)`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.types.NumberValueType

  `convertStringToNumber`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntegerValueType

    public IntegerValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Overrides:
      `getValueType` in class `NumberValueType<Integer>`

  - ### isAssignableFrom

    protected boolean isAssignableFrom(Object value)
    Overrides:
      `isAssignableFrom` in class `NumberValueType<Integer>`

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `NumberValueType<Integer>`

  - ### convertFrom

    public Integer convertFrom(Object value)
    Overrides:
      `convertFrom` in class `NumberValueType<Integer>`